ArcGIS API for JavaScript 3.24 and 4.7

2208
8
04-19-2018 04:13 PM
BjornSvensson
Esri Regular Contributor
9 8 2,208

Today we released versions 4.7 and 3.24 of the ArcGIS API for JavaScript. Read more about it in:

and more details in

Tags (4)
8 Comments
DavidColey
Regular Contributor III

Hi - In either 3.24 or 4.7, I see that a known limitation for using WebGL is that "support is limited to layers created from feature services hosted on ArcGIS Online".  Does this mean that services hosted on Portal will not render using WebGL?

Thanks,

David

RobertScheitlin__GISP
MVP Esteemed Contributor

David,

   Correct the minimum requirement will be 10.6.1 to support WebGL.

DavidColey
Regular Contributor III

Hmm Robert, I'm sure you're right... but once I designate one of my server sites as a hosting server what difference should it make if that hosted feature layer comes from portal or agol?

RobertScheitlin__GISP
MVP Esteemed Contributor

A Local Portal does not have the code to support webGL rendering until the code base is added in 10.6.1

DavidColey
Regular Contributor III

Ah that's it, thanks for that

KarenEllett
Occasional Contributor

I know that there are a lot of features and widgets still listed as "Coming Soon" on the migration matrix; do you have an estimated timeline or roadmap for these?  Such as Measure Widget projected for 4.8, FeatureTable projected for 4.9, etc? There are a view applications we're trying to build that will be heavily dependent on yet-to-be-released widgets, and we're trying to decide if we can wait for those updates, or need to be developing in 3.2.  Thanks!

BjornSvensson
Esri Regular Contributor

Karen, the 2D measure widget is currently planned for 4.9. The FeatureTable will be later.

muhammadamin
New Contributor

Is there any flexibility in 3.24 to get attribute from dynamic layer show in widget.